# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
Name:		f3
Version:	2
Release:	alt1_3
Summary:	Utility to test for fake flash drives and cards
Group:		File tools
License:	GPLv3
URL:		http://oss.digirati.com.br/%{name}/
Source0:	http://oss.digirati.com.br/%{name}/%{name}v%{version}.zip
Source44: import.info

%description
F3 is a utility to test for fake flash drives and cards. It is a Free
Software alternative to h2testw.  f3write will fill the unused part of
a filesystem with files NNNN.fff with known content, and f3read will
analyze the files to determine whether the contents are corrupted, as
happens with fake flash.

%prep
%setup -q -c
sed -i -e 's/gcc/gcc $(CFLAGS)/' Makefile

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 f3read f3write %{buildroot}%{_bindir}

%files
%doc README LICENSE
%{_bindir}/f3read
%{_bindir}/f3write

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2-alt1_3
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 2-alt1_2
- initial fc import

